package de.hdm_stuttgart.mi.sd1.test.aufgabe1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.aufgabe1._3_Maexchen;
import de.hdm_stuttgart.mi.sd1.model.Wuerfel;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

/**
 * <p>Mäxchen spielen.</p>
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@SuppressWarnings({"UnusedDeclaration"})
public class Test_3_Maexchen extends ExaminationTestDefaults {

  /**
   * Pasch.
   */
  @Test @Marking(points = 2) public void test_220() {
    for (final Wuerfel w1: Wuerfel.values()) {
      for (final Wuerfel w2: Wuerfel.values()) {
        final String msg = w1 + ", " + w2 + " should be ";
        if (w1 == w2) {
          Assert.assertTrue(msg + "true", _3_Maexchen.istPasch(w1, w2));
        } else {
          Assert.assertFalse(msg + "false", _3_Maexchen.istPasch(w1, w2));
        }
      }
    }
  }
  /**
   * Mäxchen.
   */
  @Test @Marking(points = 2) public void test_240() {
    for (final Wuerfel w1: Wuerfel.values()) {
      for (final Wuerfel w2: Wuerfel.values()) {
        final String msg = w1 + ", " + w2 + " should be ";
        if (3 == w1.wert + w2.wert) {
          Assert.assertTrue(msg + "true", _3_Maexchen.istMaexchen(w1, w2));
        } else {
          Assert.assertFalse(msg + "false", _3_Maexchen.istMaexchen(w1, w2));
        }
      }
    }
  }
  /**
   * Kein Sonderfall.
   */
  @Test public void test_280() {
    for (final Wuerfel w1: Wuerfel.values()) {
      for (final Wuerfel w2: Wuerfel.values()) {
        final String msg = w1 + ", " + w2 + " should be ";
        if (w1 == w2 || 3 == w1.wert + w2.wert) {
          Assert.assertFalse(msg + "false", _3_Maexchen.istKeinSonderfall(w1, w2));
        } else {
          Assert.assertTrue(msg + "true", _3_Maexchen.istKeinSonderfall(w1, w2));
        }
      }
    }
  }
}
