package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1._3_Number;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class Test_3_Number extends ExaminationTestDefaults {

    @Test @Marking(points = 3)
    public void test_100_single() {
        Assert.assertEquals(1, _3_Number.raiseDigitsByOne(0));
        Assert.assertEquals(2, _3_Number.raiseDigitsByOne(1));
        Assert.assertEquals(3, _3_Number.raiseDigitsByOne(2));
        Assert.assertEquals(4, _3_Number.raiseDigitsByOne(3));
        Assert.assertEquals(5, _3_Number.raiseDigitsByOne(4));
        Assert.assertEquals(6, _3_Number.raiseDigitsByOne(5));
        Assert.assertEquals(7, _3_Number.raiseDigitsByOne(6));
        Assert.assertEquals(8, _3_Number.raiseDigitsByOne(7));
        Assert.assertEquals(9, _3_Number.raiseDigitsByOne(8));
        Assert.assertEquals(10, _3_Number.raiseDigitsByOne(9));
    }

    @Test @Marking(points = 3)
    public void test_120_two() {
        Assert.assertEquals(23, _3_Number.raiseDigitsByOne(12));
        Assert.assertEquals(69, _3_Number.raiseDigitsByOne(58));
        Assert.assertEquals(82, _3_Number.raiseDigitsByOne(71));
        Assert.assertEquals(910, _3_Number.raiseDigitsByOne(89));
        Assert.assertEquals(1010, _3_Number.raiseDigitsByOne(99));
        Assert.assertEquals(3103103, _3_Number.raiseDigitsByOne(29292));
    }
}