package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1._1_Grade;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@SuppressWarnings({"UnusedDeclaration"})
public class Test_1_Grade extends ExaminationTestDefaults {
  static public final String
          TOP = "Your average score is 2 or better, good job!",
          MEDIUM = "Your average score is 3 or better, you need to work harder!",
          LOW = "You really need to work harder!";

  @Test @Marking(points = 15) public void test_100() {
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(1, 1, 1));
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(1, 3, 2));
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(3, 1, 1));
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(1, 1, 4));
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(2, 2, 2));
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(2, 2, 2));
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(2, 2, 2));
    Assert.assertEquals(TOP, _1_Grade.describePersonalSuccess(2, 2, 2));

    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(2, 2, 3));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(3, 2, 3));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(3, 3, 3));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(2, 2, 5));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(5, 1, 1));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(2, 5, 2));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(3, 3, 2));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(1, 5, 3));
    Assert.assertEquals(MEDIUM, _1_Grade.describePersonalSuccess(4, 1, 4));

    Assert.assertEquals(LOW, _1_Grade.describePersonalSuccess(6, 6, 6));
    Assert.assertEquals(LOW, _1_Grade.describePersonalSuccess(5, 5, 5));
    Assert.assertEquals(LOW, _1_Grade.describePersonalSuccess(4, 4, 2));
    Assert.assertEquals(LOW, _1_Grade.describePersonalSuccess(5, 2, 4));
    Assert.assertEquals(LOW, _1_Grade.describePersonalSuccess(6, 1, 3));
    Assert.assertEquals(LOW, _1_Grade.describePersonalSuccess(2, 5, 3));
  }
}
