package de.hdm_stuttgart.mi.sd1.task1;

/**
 * <p>Doing basic calculations.</p>
 */
public class B_Max {
    /**
     * <p>Get the largest basic calculation result of two values.</p>
     *
     * <p>We have four different basic calculation operations:</p>
     *
     * <ul style="list-style:none">
     *     <li><code style="font-weight: bolder">+</code>: Addition</li>
     *     <li><code style="font-weight: bolder">-</code>: Subtraction</li>
     *     <li><code style="font-weight: bolder">*</code>: Multiplication</li>
     *     <li><code style="font-weight: bolder">/</code>: Division</li>
     * </ul>
     *
     * <p>Given two values like e.g 4 and 0.1 we can construct four different basic calculation terms:</p>
     *
     * <ul style="list-style:none">
     *     <li><code>4 + 0.1 == 4.1</code></li>
     *     <li><code>4 - 0.1 == 3.9</code></li>
     *     <li><code>4 * 0.1 == 0.4</code></li>
     *     <li><code style="background: lightgreen">4 / 0.1 == 40</code></li>
     * </ul>
     *
     * <p>The above example features a maximum result value of 40 resulting from dividing 4 by 0.1 .
     * Depending on both values the maximum may result from either of our four basic operations. We take a
     * second set of example values 3 and -1:</p>
     *
     * <ul style="list-style:none">
     *     <li><code>3 + (-1) == 2</code></li>
     *     <li><code style="background: lightgreen">3 - (-1) == 4</code></li>
     *     <li><code>3 * (-1) == -3</code></li>
     *     <li><code>3 / (-1) == -3</code></li>
     * </ul>
     *
     * <p>This time we get a maximum of 4 by subtracting -1 from 3 .</p>
     *
     * @param first The first operand
     * @param second The second operand
     * @return The largest basic calculation result taking both arguments in their respective order.
     *
     * <section class="implementationHints">
     *     <h4 class="implementationHints">Hints:</h4>
     *
     *     <ol>
     *       <li>Create all four possible arithmetic results</li>
     *       <li>Then choose the largest among these four values</li>
     *     </ol>
     *
     * </section>
     */
    public static double getBasicCalculationMax(final double first, final double second) {
        return 42.0; //TODO: Implement me!
    }
    private B_Max(){/* Ignore me, suppressing implicit default constructor Javadoc HTML generation */}
}
