package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1._3_Triangle;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class Test_3_Triangle extends ExaminationTestDefaults {

    @Test @Marking(points = 10)
    public void test_100_one() {
        Assert.assertTrue(_3_Triangle.isTriangleCompatible(3, 4, 5));
        Assert.assertTrue(_3_Triangle.isTriangleCompatible(5, 3, 4));
        Assert.assertTrue(_3_Triangle.isTriangleCompatible(4, 5, 3));
        Assert.assertTrue(_3_Triangle.isTriangleCompatible(4, 3, 5));
        Assert.assertTrue(_3_Triangle.isTriangleCompatible(3, 5, 4));
        Assert.assertTrue(_3_Triangle.isTriangleCompatible(5, 4, 3));

        Assert.assertFalse(_3_Triangle.isTriangleCompatible(4, 10, 5));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(10, 5, 4));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(5, 4, 10));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(4, 5, 10));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(5, 10, 4));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(10, 4, 5));

        Assert.assertFalse(_3_Triangle.isTriangleCompatible(1, 2, 3));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(2, 3, 1));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(3, 1, 2));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(1, 3, 2));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(3, 2, 1));
        Assert.assertFalse(_3_Triangle.isTriangleCompatible(2, 1, 3));
    }
}