package de.hdm_stuttgart.mi.sd1.only_in_solve;

import de.hdm_stuttgart.mi.sd1.task2.BatteryPlanner;

/**
 * Demo purpose
 */
public class CarSimulate {

 /**
  * Entry
  * @param args Unused
  */
 public static void main(String[] args) {

  // fully charged 50 Kwh battery capacity, 4 Km per 1 Kwh driving range
  BatteryPlanner planner = new BatteryPlanner(50, 4);

  // Drive 150 Km of 50 Km x 4 = 200 Km driving range
  double actualDistance = planner.drive(150.0);
  System.out.println("Actual distance: " + actualDistance);

  // Trying to drive another 200 Km, but only 50 are left by battery power
  actualDistance = planner.drive(200.0);
  System.out.println("Actual distance: " + actualDistance);

  // Battery completely drained
  System.out.println("Battery state of charge: " + planner.getState());


  double excess = planner.charge(30.0);
  System.out.println("Excess:" + excess);

  excess = planner.charge(50.0);
  System.out.println("Excess:" + excess);

 }

}
