package de.hdm_stuttgart.mi.sd1.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import static de.hdm_stuttgart.mi.sd1.task1.C_Range.displayRange;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class C_RangeTest extends ExaminationTestDefaults {

    @Test
    @Marking(points = 6)
    public void test_100_single() {
        Assert.assertEquals("-5", displayRange(-5, -5));
        Assert.assertEquals("1111", displayRange(1111, 1111));
    }

    @Test
    @Marking(points = 3)
    public void test_200_four() {
        Assert.assertEquals("1", displayRange(1, 1));
        Assert.assertEquals("-1, 0", displayRange(-1, 0));
        Assert.assertEquals("4, 5, 6", displayRange(4, 6));
        Assert.assertEquals("-10, -9, -8, -7", displayRange(-10, -7));
    }


    @Test
    @Marking(points = 2)
    public void test_300_dots() {
        Assert.assertEquals("1, 2, ..., 5", displayRange(1, 5));
        Assert.assertEquals("-20, -19, ..., 10", displayRange(-20, 10));
    }
}
