package de.hdm_stuttgart.mi.sd1.task1;

/** <p>Array helper method.</p>
 *
 */
public class D_ArrayHelper {

    /**
     * <p>Gather information about an <code>int</code> array's negative, zero and positive values.</p>
     *
     * <p>An <code>int</code> array may contain negative, zero and positive values. This information is being
     * provided by a {@link String}:</p>
     *
     * <table class="goikTableDefaults">
     *   <caption>Filtering {@link String} instances</caption>
     *   <tr>
     *     <th>Values</th>
     *     <th>Result String</th>
     *   </tr>
     *   <tr>
     *       <td><code>{1, 7, 5,20}</code></td>
     *       <td><code>"positives"</code></td>
     *   </tr>
     *   <tr>
     *       <td><code>{-1, -20, 0, -33}</code></td>
     *       <td><code>"negatives,zeroes"</code></td>
     *   </tr>
     *   <tr>
     *       <td><code>{1, 7, -4, 5, 20, 0}</code></td>
     *       <td><code>"negatives,zeroes,positives"</code></td>
     *   </tr>
     *   <tr>
     *       <td><code>{0}</code></td>
     *       <td><code>"zeroes"</code></td>
     *   </tr>
     *   <tr>
     *       <td><code>{-4}</code></td>
     *       <td><code>"negatives"</code></td>
     *   </tr>
     *   <tr>
     *       <td><code>{}</code></td>
     *       <td rowspan="2"><code>""</code></td>
     *   </tr>
     *   <tr>
     *       <td><code>null</code></td>
     *   </tr>
     *
     * </table>
     *
     * <p>The exact names and their order matters:</p>
     * <ol>
     *     <li><code>"negatives"</code></li>
     *     <li><code>"zeroes"</code></li>
     *     <li><code>"positives"</code></li>
     * </ol>
     *
     * <p>Thus we will see e.g. <code>"negatives,positives"</code> but never <code>"positives,negatives"</code>.</p>
     *
     * <section class="implementationHints">
     *     <h4 class="implementationHints">Hint:</h4>
     *     <p>Mind whitespace: <code>"negatives,<span style="color:red;">␣</span>zeroes"</code> differs from
     *     <code>"negatives,zeroes"</code> by an additional space character "<span style="color:red;">␣</span>"
     *     following the comma.</p>
     * </section>
     *
     * @param values Integer values
     * @return String Categorization of signs as being stated above or an empty string if no values being present.
     */
    public static String getSigns(final int[] values) {
        return "Nonsense"; // TODO: Implement me correctly
    }

    private D_ArrayHelper(){/* Suppressing constructor Javadoc HTML generation */}
}
