package de.hdm_stuttgart.mi.sd1.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.sd1.task1.Helper;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import static org.junit.Assert.assertEquals;

/**
 * Testing {@link Helper#getMaximum(int, int, int)}.
 *
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class TestHelperMax extends ExaminationTestDefaults {

  @Test
  public void test01Zero() {
    assertEquals(0, Helper.getMaximum(0, 0, 0));
  }

  @Test
  public void test02() {
    assertEquals(10, Helper.getMaximum(-4, -5, 10));
  }

  @Test
  public void test03() {
    assertEquals(-4, Helper.getMaximum(-4, -4, -4));
  }

  @Test
  public void test04() {
    assertEquals(3, Helper.getMaximum(3, 1, 2));
  }

  @Test
  public void test05() {
    assertEquals(100, Helper.getMaximum(0, -5, 100));
  }
}
